Get Authorization
curl --request GET \
--url https://api.sandbox.sudo.cards/cards/authorizations/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.sandbox.sudo.cards/cards/authorizations/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.sandbox.sudo.cards/cards/authorizations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"message": "Authorization fetched successfully.",
"data": {
"_id": "6a43ba89134c39198fe21652",
"business": "696edb9889c90df3bcdbe067",
"customer": {
"_id": "69ba46bb734a4457f2d063f5",
"business": "696edb9889c90df3bcdbe067",
"type": "individual",
"name": "Prince Muteh",
"phoneNumber": "7030338024",
"emailAddress": "prince.muteh@gmail.com",
"status": "active",
"individual": {
"firstName": "Prince",
"lastName": "Muteh",
"otherNames": "",
"dob": "2026-03-18T00:00:00.000Z",
"identity": {
"type": "BVN",
"number": "1234567890"
}
},
"billingAddress": {
"line1": "University Of Maiduguri",
"line2": "",
"city": "Garki",
"state": "Abuja Federal Capital Territory",
"country": "Nigeria",
"postalCode": "600211"
},
"isDeleted": false,
"createdAt": "2026-03-18T06:31:23.112Z",
"updatedAt": "2026-03-18T06:31:23.112Z",
"__v": 0
},
"account": {
"_id": "69ba46d6734a4457f2d06428",
"business": "696edb9889c90df3bcdbe067",
"type": "wallet",
"currency": "NGN",
"accountName": "SUDO / PRINCE MUTEH",
"bankCode": "999240",
"accountType": "Current",
"accountNumber": "5010251947",
"currentBalance": 0,
"availableBalance": 0,
"provider": "SafeHaven",
"providerReference": "69ba46d6012c2100246f7a38",
"referenceCode": "subacc_1773815509991",
"reloadable": true,
"isDefault": true,
"isDeleted": false,
"createdAt": "2026-03-18T06:31:50.409Z",
"updatedAt": "2026-03-18T06:31:50.409Z",
"charges": [],
"__v": 0
},
"card": {
"failedTransactionCount": 0,
"minimumBalance": 0,
"version": "v1",
"_id": "69ba46d8734a4457f2d06430",
"business": "696edb9889c90df3bcdbe067",
"customer": "69ba46bb734a4457f2d063f5",
"account": "69ba46d6734a4457f2d06428",
"fundingSource": "69ba4677734a4457f2d06383",
"program": null,
"type": "virtual",
"brand": "Verve",
"currency": "NGN",
"maskedPan": "506321*********3111",
"expiryMonth": "03",
"expiryYear": "2029",
"status": "active",
"is2FAEnabled": true,
"is2FAEnrolled": true,
"isDefaultPINChanged": false,
"disposable": false,
"refundAccount": null,
"providerReference": "69ba46d8a61d0550d690e79e",
"isDigitalized": false,
"accumulatedFees": 0,
"totalFeesCharged": 0,
"feeChargeDay": 1,
"isDeleted": false,
"createdAt": "2026-03-18T06:31:52.457Z",
"updatedAt": "2026-06-30T12:55:52.640Z",
"__v": 0,
"spendingControls": {
"channels": {
"atm": true,
"pos": true,
"web": true,
"mobile": true
},
"allowedCategories": [],
"blockedCategories": [],
"spendingLimits": []
}
},
"amount": 10005.38,
"fee": 5,
"vat": 0.38,
"approved": true,
"currency": "NGN",
"status": "approved",
"authorizationMethod": "online",
"balanceTransactions": [],
"merchantAmount": 10000,
"merchantCurrency": "NGN",
"merchant": {
"category": "0742",
"name": "SUDO SIMULATOR",
"merchantId": "SUDOSIMULATOR01",
"city": "JAHI",
"state": "AB",
"country": "NG",
"postalCode": "100001"
},
"terminal": {
"rrn": "149283196621",
"stan": "148345",
"terminalId": "3SUDOSIM",
"terminalOperatingEnvironment": "on_premise",
"terminalAttendance": "unattended",
"terminalType": "ecommerce",
"panEntryMode": "keyed_in",
"pinEntryMode": "keyed_in",
"cardHolderPresence": true,
"cardPresence": true
},
"transactionMetadata": {
"channel": "web",
"type": "purchase",
"reference": "5010251947149283196621"
},
"pendingRequest": null,
"requestHistory": [
{
"amount": 10005.38,
"currency": "NGN",
"approved": true,
"merchantAmount": 10000,
"merchantCurrency": "NGN",
"reason": "webhook_approved",
"createdAt": "2026-06-30T12:46:01.932Z"
}
],
"verification": {
"billingAddressLine1": "not_provided",
"billingAddressPostalCode": "not_provided",
"cvv": "match",
"expiry": "match",
"pin": "match",
"threeDSecure": "not_provided",
"safeToken": "match",
"authentication": "pin"
},
"isDeleted": false,
"createdAt": "2026-06-30T12:46:01.932Z",
"updatedAt": "2026-06-30T12:46:01.932Z",
"feeDetails": [
{
"contract": "61a18b8a4ddab599d20344a7",
"currency": "NGN",
"amount": 5,
"description": "Verve Card Authorization Fee"
}
],
"__v": 1
}
}{
"statusCode": 400,
"message": "Invalid authorization id.",
"data": null
}{
"statusCode": 401,
"message": "Unauthorized. Provide a valid API key in the Authorization header.",
"data": null
}{
"statusCode": 404,
"message": "Authorization not found.",
"data": null
}Authorizations
Get Authorization
Fetches details about a specific authorization using the provided id.
GET
/
cards
/
authorizations
/
{id}
Get Authorization
Path Parameters
The _id of the authorization to fetch.
⌘I
